PETSc version 3.15.5
Fix/Edit manual page

# MatFDColoringCreate

Creates a matrix coloring context for finite difference computation of Jacobians.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatFDColoringCreate(Mat mat,ISColoring iscoloring,MatFDColoring *color)

Collective on Mat

### Input Parameters

| mat | - the matrix containing the nonzero structure of the Jacobian
| iscoloring | - the coloring of the matrix; usually obtained with MatColoringCreate() or DMCreateColoring()

### Output Parameter

| color | - the new coloring context

### See Also

MatFDColoringDestroy(),SNESComputeJacobianDefaultColor(), ISColoringCreate(),
MatFDColoringSetFunction(), MatFDColoringSetFromOptions(), MatFDColoringApply(), MatFDColoringView(), MatFDColoringSetParameters(), MatColoringCreate(), DMCreateColoring(), MatFDColoringSetValues()

### Level

intermediate

### Location

src/mat/matfd/fdmatrix.c

### Examples

src/mat/tutorials/ex16.c.html
src/snes/tutorials/ex14.c.html
src/tao/unconstrained/tutorials/minsurf2.c.html

### Implementations

MatFDColoringCreate_MPIXAIJ in src/mat/impls/aij/mpi/fdmpiaij.c
MatFDColoringCreate_SeqXAIJ in src/mat/impls/aij/seq/fdaij.c
Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages